%if 0%{?rhel} && 0%{?rhel} <= 6
%{!?__python2:        %global __python2 /usr/bin/python2}
%{!?python2_sitelib:  %global python2_sitelib %(%{__python2} -c "from distutils.sysconfig import get_python_lib; print(get_python_lib())")}
%{!?python2_sitearch: %global python2_sitearch %(%{__python2} -c "from distutils.sysconfig import get_python_lib; print(get_python_lib(1))")}
%endif

%global modname pyramid_mako

Name:               python-pyramid-mako
Version:            1.0a3
Release:            5%{?dist}
Summary:            Mako template bindings for the Pyramid web framework

Group:              Development/Libraries
License:            BSD
URL:                http://pypi.python.org/pypi/pyramid_mako
Source0:            http://pypi.python.org/packages/source/p/%{modname}/%{modname}-%{version}.tar.gz

BuildArch:          noarch


BuildRequires:      python2-devel
BuildRequires:      python-setuptools
BuildRequires:      python-pyramid


# For the test suite
BuildRequires:      python-webtest
BuildRequires:      python-nose
BuildRequires:      python-coverage
BuildRequires:      python-virtualenv

Requires:           python-pyramid

%if 0%{?rhel} && 0%{?rhel} <= 6
BuildRequires:      python-webtest1.3
BuildRequires:      python-mako0.4 >= 0.3.6
Requires:           python-mako0.4 >= 0.3.6
%else
BuildRequires:      python-mako
Requires:           python-mako
%endif



%description
These are bindings for the Mako templating system for the Pyramid web
framework.

%prep
%setup -q -n %{modname}-%{version}

# Remove bundled egg-info in case it exists
rm -rf %{modname}.egg-info
awk 'NR==3{print "import __main__; __main__.__requires__ = __requires__ = [\"WebTest>=1.3.1\", \"WebOb>=1.2b3\", \"zope.interface>=3.8.0\", \"Mako>=0.3.6\"]; import pkg_resources"}3' setup.py > tempfile
mv tempfile setup.py

# Remove lingering .gitignore file and hidden static folder
rm docs/.gitignore
rm -rf docs/.static

%build
%{__python2} setup.py build

%install
%{__python2} setup.py install -O1 --skip-build --root=%{buildroot}

%check
%{__python2} setup.py test

%files
%doc README.rst LICENSE.txt COPYRIGHT.txt CONTRIBUTORS.txt CHANGES.txt docs/
%{python2_sitelib}/%{modname}/
%{python2_sitelib}/%{modname}-%{version}*

%changelog
* Thu Jun 18 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0a3-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Thu Nov 13 2014 Ralph Bean <rbean@redhat.com> - 1.0a3-4
- Fix rhel conditional.

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0a3-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Thu Mar 27 2014 Ralph Bean <rbean@redhat.com> - 1.0a3-2
- Fix test deps for el6.

* Thu Mar 27 2014 Ralph Bean <rbean@redhat.com> - 1.0a3-1
- Latest upstream includes a fixed test suite.
- Reenabled the test suite.

* Thu Mar 20 2014 Ralph Bean <rbean@redhat.com> - 1.0a2-2
- Remove hidden folder as per review.

* Wed Mar 19 2014 Ralph Bean <rbean@redhat.com> - 1.0a2-1
- Initial packaging for Fedora
